package;

import haxegon.*;

class CustomText 
{
	public static inline var COL_BROWN:Int = 0;
	public static inline var COL_GREY:Int = 1;
	
	public static function width(_text:String) : Float
	{
		Text.setfont("gamjaflower-regular", 18);
		return Text.width(_text);
	}
	
	public static function render(_x:Int, _y:Int, _text:String, _color:Int=0)
	{
		Text.setfont("gamjaflower-regular", 18);
		
		switch (_color)
		{
			case 0: // Brown
				Text.display(_x+1, _y+1, _text, Colors.TEXT_DARKBROWN_BG);
				Text.display(_x, _y, _text, Colors.TEXT_DARKBROWN_FG);
			case 1: // Grey
				Text.display(_x+1, _y+1, _text, Colors.TEXT_DARKGREY_BG);
				Text.display(_x, _y, _text, Colors.TEXT_DARKGREY_FG);
			case 2: // Red Danger
				Text.display(_x+1, _y+1, _text, 0xf41010);
				Text.display(_x, _y, _text, 0xd51f1f);
			case 3: // White
				Text.display(_x+1, _y+1, _text, Colors.TEXT_LIGHT_BG);
				Text.display(_x, _y, _text, Colors.TEXT_LIGHT_FG);
			case 4: // Highlight
				Text.display(_x+1, _y+1, _text, 0x234276);
				Text.display(_x, _y, _text, 0x7da3e1);
			case 5: // Faded
				Text.display(_x+1, _y+1, _text, 0xd2d2dc, 0.5);
				Text.display(_x, _y, _text, 0x9e9eae, 0.5);
		}
	}
}